Bug 851826 - String matching in target_content.xml is case sensitive, should be case insensitive
String matching in target_content.xml is case sensitive, should be case insen...
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: imagefactory (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Ian McLeod
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 00:55 EDT by Justin Clift
Modified: 2015-07-13 00:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 09:14:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2012-08-26 00:55:36 EDT
Description of problem:

  String matching in target_content.xml is case sensitive at present.
  For example "Fedora" will match, but "fedora" won't.

  This is non-obvious, and makes things harder than they need to be.

  Ian mentioned in IRC chat the TDL will likely need updating as
  well, as it specifies case sensitivity.



Version-Release number of selected component (if applicable):

  imagefactory-1.1.1-1.fc16
Comment 1 Ian McLeod 2012-08-31 11:56:16 EDT
Almost every element of TDL and of the target_content.xml file is case sensitive.  This includes the XML tags, RPM names, the directory components of yum repos.

Is there a particular reason why we think people will have difficulty using the correct case for OS names?  Can we address this in documentation and error reporting rather than adding a single case-insensitive exception for OS name?
Comment 3 Justin Clift 2014-06-09 09:14:45 EDT
Closing as ancient and unlikely to be worked on.

Note You need to log in before you can comment on or make changes to this bug.